> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteUser

> Permanently deletes a [User](#schema_user). It cannot be undone.



## OpenAPI

````yaml runtime-openapi.json delete /v1/chat/users/{id}
openapi: 3.0.0
info:
  title: Botpress Runtime API
  description: API for Botpress Runtime
  version: 1.52.1
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
paths:
  /v1/chat/users/{id}:
    delete:
      tags:
        - Endpoints
      description: Permanently deletes a [User](#schema_user). It cannot be undone.
      operationId: deleteUser
      parameters:
        - name: id
          in: path
          description: User ID
          required: true
          schema:
            type: string
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/deleteUserResponse'
        default:
          $ref: '#/components/responses/deleteUserResponse'
components:
  responses:
    deleteUserResponse:
      description: Returns the [User](#schema_user) object that was deleted
      content:
        application/json:
          schema:
            type: object
            title: deleteUserResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````